CoreMock
Date: 2015-09-15

org.jmock.core

## Class CoreMock

- java.lang.Object
- - org.jmock.core.AbstractDynamicMock
  - - org.jmock.core.CoreMock

- All Implemented Interfaces:
    java.lang.reflect.InvocationHandler, DynamicMock, Verifiable

      public class CoreMock
      extends AbstractDynamicMock
      implements java.lang.reflect.InvocationHandler

  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoreMock(java.lang.Class mockedType, java.lang.String name)`
    `CoreMock(java.lang.Class mockedType, java.lang.String name, InvocationDispatcher invocationDispatcher)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `invoke(java.lang.Object invokedProxy, java.lang.reflect.Method method, java.lang.Object[] args)`
    `java.lang.Object` | `proxy()`

    - ### Methods inherited from class org.jmock.core.AbstractDynamicMock

      `addInvokable, getMockedType, getMockName, mockInvocation, mockNameFromClass, reset, setDefaultStub, toString, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CoreMock

          public CoreMock(java.lang.Class mockedType,
                  java.lang.String name)

    - #### CoreMock

          public CoreMock(java.lang.Class mockedType,
                  java.lang.String name,
                  InvocationDispatcher invocationDispatcher)

  - ### Method Detail

    - #### proxy

          public java.lang.Object proxy()

      Specified by:
        `proxy` in interface `DynamicMock`
      Specified by:
        `proxy` in class `AbstractDynamicMock`

    - #### invoke

          public java.lang.Object invoke(java.lang.Object invokedProxy,
                                java.lang.reflect.Method method,
                                java.lang.Object[] args)
                                  throws java.lang.Throwable

      Specified by:
        `invoke` in interface `java.lang.reflect.InvocationHandler`
      Throws:
        `java.lang.Throwable`